de.esprit.netsuite.netdata.agent

## Class AgentGate<A extends AsyncAgent>

- java.lang.Object
- - de.esprit.netsuite.netdata.agent.AgentGate<A>

- All Implemented Interfaces:
    ClientObject<ClientContext>

      public class AgentGate<A extends AsyncAgent>
      extends java.lang.Object
      implements ClientObject<ClientContext>

  This finishedGate opens when the result message of a particular async `AsyncAgent` is received.
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AgentGate(A agent)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `acceptAgent(A agent)`
    `A` | `awaitAgentFinished()`
    `A` | `awaitAgentFinished(long millis, java.util.concurrent.TimeUnit unit)`
    `void` | `awaitAgentStarted(long millis, java.util.concurrent.TimeUnit unit)`
    `ClientContext` | `getClientContext()` Returns the the client runtime environment

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AgentGate

          public AgentGate(A agent)

  - ### Method Detail

    - #### getClientContext

          public ClientContext getClientContext()

      Description copied from interface: `ClientObject`
      Returns the the client runtime environment
      Specified by:
        `getClientContext` in interface `ClientObject<ClientContext>`

    - #### awaitAgentStarted

          public void awaitAgentStarted(long millis,
                               java.util.concurrent.TimeUnit unit)
                                 throws java.lang.InterruptedException,
                                        java.util.concurrent.TimeoutException

      Throws:
        `java.lang.InterruptedException`
        `java.util.concurrent.TimeoutException`

    - #### awaitAgentFinished

          public A awaitAgentFinished(long millis,
                             java.util.concurrent.TimeUnit unit)
                                                  throws java.lang.InterruptedException,
                                                         java.util.concurrent.TimeoutException

      Throws:
        `java.lang.InterruptedException`
        `java.util.concurrent.TimeoutException`

    - #### awaitAgentFinished

          public A awaitAgentFinished()
                                                  throws java.lang.InterruptedException

      Throws:
        `java.lang.InterruptedException`

    - #### acceptAgent

          protected boolean acceptAgent(A agent)

Copyright © 2014 EsprIT-Systems. All Rights Reserved.